%define debug_package %{nil}
# Could be part of http://fedoraproject.org/wiki/LukeMacken/SecurityLiveCD

Name:           sleuthkit
Version:        3.2.3
Release:        1%{?dist}
Summary:        The Sleuth Kit (TSK)

Group:          Applications/System
License:        CPL and IBM and GPLv2+
URL:            http://www.sleuthkit.org
Source0:        http://downloads.sourceforge.net/sleuthkit/sleuthkit-%{version}.tar.gz
Patch0:		%{name}-%{version}-patch-001
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  libtool

# afflib - BSD with advertising, GPL incompatible
BuildRequires:  afflib-devel >= 3.3.4
# libewf - Newer versions are plain BSD (older are BSD with advertising)
BuildRequires:  libewf-devel >= 20110903

Requires: %{name}-libs = %{version}-%{release}
Requires: file
Requires: mac-robber

%description
The Sleuth Kit (TSK) is a collection of UNIX-based command line tools that
allow you to investigate a computer. The current focus of the tools is the
file and volume systems and TSK supports FAT, Ext2/3, NTFS, UFS,
and ISO 9660 file systems


%package        libs
Summary:        Library for %{name}
Group:          System Environment/Libraries

%description    libs
The %{name}-libs package contains library for %{name}.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

# re-run autotools
%if 0
libtoolize  --force
aclocal
autoheader
autoconf
automake
%endif


%build
env LIBS='-lpthread -ldl' sh configure --disable-static --prefix=/usr

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# clean unused-direct-shlib-dependencies
#sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%ifarch x86_64
mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT%{_libdir}
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig



%files
%defattr(-,root,root,-)
%doc ChangeLog.txt NEWS.txt README.txt licenses/*
# License is CPL 1.0 exept for some files.
%{_bindir}/blkcalc
%{_bindir}/blkcat
%{_bindir}/blkls
%{_bindir}/blkstat
#{_bindir}/disk_sreset
#{_bindir}/disk_stat
%{_bindir}/ffind
%{_bindir}/fls
%{_bindir}/fsstat
%{_bindir}/hfind
%{_bindir}/icat
%{_bindir}/ifind
%{_bindir}/ils
%{_bindir}/img_cat
%{_bindir}/img_stat
%{_bindir}/istat
%{_bindir}/jcat
%{_bindir}/jls
# This file is described as GPL in the doc
# But the license remains CPL in the source.
%{_bindir}/mactime
##
%{_bindir}/mmcat
%{_bindir}/mmls
%{_bindir}/mmstat
%{_bindir}/sigfind
%{_bindir}/sorter
## This file is GPLv2+
%{_bindir}/srch_strings
%{_bindir}/tsk_comparedir
%{_bindir}/tsk_gettimes
%{_bindir}/tsk_loaddb
%{_bindir}/tsk_recover

#
%{_mandir}/man1/blkcalc.1*
%{_mandir}/man1/blkcat.1*
%{_mandir}/man1/blkls.1*
%{_mandir}/man1/blkstat.1*
#{_mandir}/man1/disk_sreset.1*
#{_mandir}/man1/disk_stat.1*
%{_mandir}/man1/ffind.1*
%{_mandir}/man1/fls.1*
%{_mandir}/man1/fsstat.1*
%{_mandir}/man1/hfind.1*
%{_mandir}/man1/icat.1*
%{_mandir}/man1/ifind.1*
%{_mandir}/man1/ils.1*
%{_mandir}/man1/img_cat.1*
%{_mandir}/man1/img_stat.1*
%{_mandir}/man1/istat.1*
%{_mandir}/man1/jcat.1*
%{_mandir}/man1/jls.1*
%{_mandir}/man1/mactime.1*
%{_mandir}/man1/mmcat.1*
%{_mandir}/man1/mmls.1*
%{_mandir}/man1/mmstat.1*
%{_mandir}/man1/sigfind.1*
%{_mandir}/man1/sorter.1*
%{_mandir}/man1/tsk_comparedir.1*
%{_mandir}/man1/tsk_gettimes.1*
%{_mandir}/man1/tsk_loaddb.1*
%{_mandir}/man1/tsk_recover.1*
%dir %{_datadir}/tsk3
%{_datadir}/tsk3/sorter/

%files libs
%defattr(-,root,root,-)
# CPL and IBM
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
# CPL and IBM
%{_includedir}/tsk3/
%{_libdir}/*.so

%changelog
* Mon Oct 10 2011 Brian Carrier carrier@sleuthkit.org 3.2.3-1
- Release 3.2.3-1
	New Features:
	- new TskAuto method (handleNotification()) that gets verbose messages that allow for debugging when the class makes decisions.
	- DOS partitions are loaded even if an extended partition fails to load
	- new TskAuto::findFilesInFs(TSK_FS_INFO *) method
	- Need to only specify first E01 file and the rest are found
	- Changed docs license to non-commercial
	- Unicode conversion routines fix invalid UTF-16 text during conversion
	- Added '-d' to tsk_recover to specify directory to recover

	Bug Fixes:
	- Added check to fatfs_open to compare first sectors of FAT if we used backup boot sector and verify it is FAT32.
	- More checks to make sure that FAT short names are valid ASCII
	- 3406523: Mactime size sanity check
	- 3393960: hfind reading of Windows input file
	- 3316603: Error reading last blocks of RAW CD images
	- Fixed bugs in how directories and files were detected in TskAuto
	
	Built to use libewf-alpha, the Version 2 interface

* Fri Jun 10 2011 Brian Carrier carrier@sleuthkit.org 3.2.2-1
- Release 3.2.2-1
	Fixed FAT orphan file issues
	cleanup non-ASCII volume label names
	split image names are stored in local copy
	Added feature that copies of split file names are stored
	change to behavior for issue 3303679 and cleanup of short names
	Added missing file
	removed makefiles from repo
	resolved issue 3303679 re: deleted short FAT names with invalid  UTF-8 names
	fixed issue where image type in SQLIte db was always 0.
	auto closes img_info only if it opened it
	Added IMG_INFO openImage method to auto class
	added copyright
	win32 compile errors fixed
	adding in more lost win32 files
	added new vcproj files
	Merging in C++ classes and multithreaded support
	typo fix
	Updated FAT sanity checks to be tougher on entries in deleted folders
	Fixed some RAW CD issues and added offset of 24 bytes to choices
	resolved issues 3213886 and 3213888 re: RAW CD and not handling ISO9660 directory holes
	added NEWS to win32 build
	updated version files

* Sun Feb 27 2011 Nicolas Chauvet <kwizart@fedoraproject.org> - 3.2.1-1
- This release has some minor bug fixes. New features include:
	SQLite DB contains a dummy entry if there is no volume system.
	The build directory can be different from the source directory when building on Unix.

  Bug fixes include:
	fls arguments
	Compile errors with pthreads on some Linux systems
	Different FAT directory entry checking
	mingw compile errors
	mactime CSV output surrounds file name in quotes

* Mon Oct 28 2010  Nicolas Chauvet <kwizart@fedoraproject.org> - 3.2.0-1
  This release has new features and bug fixes. Thanks to Anthony Lawrence for help with the new features. New features include:
	New tsk_recover tool that extracts files from an image to a local directory.
	New tsk_loaddb tool that dumps file system metadata to SQLite database.
	New tsk_getimes tool that collects MAC time data on all file systems (equivalent to fls -m on a series of volumes)
	New tsk_comparedir tool that compares a directory to an image to detect rootkits.
	New C++ TskAuto class that makes it easier to create automated tools that analyze all files.
	Name cleanup out of libraries and into tools.
	img_cat -e and -s flags.
	Changed how default NTFS $Data attribute is named.
	HFS+ Case sensitive flag in fsstat.

  Bug fixes include:
	FAT performance
	Crash fix for corrupt NTFS file
	Adding attribute runs on fragmented files with multiple attributes of the same type.

* Sun Jul 2 2010  Nicolas Chauvet <kwizart@fedoraproject.org> - 3.1.3-1
  This release has some bug fixes:
	FAT performance

* Sun May 23 2010  Nicolas Chauvet <kwizart@fedoraproject.org> - 3.1.2-1
  This release has some bug fixes:
	FAT performance
	Reading errors
	ifind not stopping
	mmls -B display error

* Thu Apr 29 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 3.1.1-1
- Update to 3.1.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 kwizart < kwizart at gmail.com > - 3.0.1-1
- Update to 3.0.1 (final)

* Tue Oct 28 2008 kwizart < kwizart at gmail.com > - 3.0.0-1
- Update to 3.0.0 (final)

* Fri Oct  3 2008 kwizart < kwizart at gmail.com > - 3.0.0-0.1.b4
- Update to 3.0.0b4

* Tue Jun 17 2008 kwizart < kwizart at gmail.com > - 2.52-1
- Update to 2.52
- Remove merged patches
- Remove clean unused-direct-shlib-dependencies 
- Fix rpath at source.
- Sort license within the spec
- Move configure.ac to pkg-config detection
- Remove Perl-Date-Manip installation

* Tue Mar 18 2008 kwizart < kwizart at gmail.com > - 2.51-1
- Update to 2.51
- Add libewf/afflib BR
- Requires mac-robber external package.
- Remove internal perl-Date-Manip.

* Fri Dec 28 2007 kwizart < kwizart at gmail.com > - 2.10-1
- Update to 2.10

* Mon Oct 29 2007 kwizart < kwizart at gmail.com > - 2.09-1
- Initial package for Fedora 
  (inspired from Oden Eriksson mdk spec).


